Skip to main content
GET
/
accounts
/
{account_id}
/
compliance
Get compliance status for an account
curl --request GET \
  --url https://service.bluumfinance.com/v1/accounts/{account_id}/compliance \
  --header 'Authorization: Basic <encoded-value>'
{
  "status": "success",
  "data": {
    "account_id": "3d0b0e65-35d3-4dcd-8df7-10286ebb4b4b",
    "workflow_status": "approved",
    "workflow_type": "kyc",
    "risk_level": "low",
    "checks": [
      {
        "type": "identity_verification",
        "status": "clear",
        "completed_at": "2026-03-15T10:05:00.000Z"
      },
      {
        "type": "screening",
        "status": "clear",
        "completed_at": "2026-03-15T10:05:00.000Z"
      },
      {
        "type": "risk_assessment",
        "status": "clear",
        "completed_at": "2026-03-15T10:05:00.000Z"
      }
    ],
    "created_at": "2026-03-15T10:00:00.000Z",
    "updated_at": "2026-03-15T10:05:00.000Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.bluumfinance.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

HTTP Basic Authentication using the API Key as username and API Secret as password.

Path Parameters

account_id
string<uuid>
required

The unique identifier of the account

Response

Compliance status retrieved successfully

status
enum<string>
Available options:
success
data
object